Name:		perl-IO-Stty
Version:	0.02
Release:	1.intergenia
Summary:	IO-Stty Perl module
License:	GPL
Group:		Development/Libraries
Source:		http://search.cpan.org/CPAN/authors/id/A/AU/AUSCHUTZ/IO-Stty-.02.tar.gz
URL:		http://search.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	perl >= 5.6.0
Requires:	perl >= 5.6.0
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
IO-Stty Perl module

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n IO-Stty-.02

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

for i in $(find . -type f -print | xargs grep -l '#!/usr/local/perl/bin/perl'); do
	cp -p $i $i.dist &&\
	sed 's/^\(#!\/usr\)\/local\/perl\(\/bin\/perl\)/\1\2/' < $i.dist >$i &&\
	rm -f $i.dist
done

make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-,root,root)

%changelog
* Thu May 27 2004 Maik Broemme <mbroemme@intergenia.de> 0.02-1.intergenia
- initial build for RedHat Linux 9 and perl 5.8.0
